# exclude broken requires from template script
%global __requires_exclude_from %{perl_vendorlib}/HTML/FormHandler/Generator/DBIC.pm
%define upstream_name    HTML-FormHandler-Model-DBIC
%define upstream_version 0.29

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 7

Summary:    Generate form classes from DBIC schema
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/HTML/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(DBIx::Class) >= 0.82.500
BuildRequires: perl(DBIx::Class::ResultSet::RecursiveUpdate) >= 0.250.0
BuildRequires: perl(DateTime::Format::MySQL)
BuildRequires: perl(DateTime::Format::SQLite)
BuildRequires: perl(DateTime::Format::W3CDTF)
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.300.0
BuildRequires: perl(HTML::FormHandler) >= 0.400.160
BuildRequires: perl(Moose) >= 2.0.700
BuildRequires: perl(Test::More) >= 0.940.0
BuildRequires: perl(namespace::autoclean) >= 0.90.0
BuildArch:  noarch

%description
Catalyst based application.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes INSTALL LICENSE META.json META.yml MYMETA.yml README SIGNATURE TODO
%{_bindir}/form_generator.pl
%{_mandir}/man1/*
%{_mandir}/man3/*
%perl_vendorlib/*
/usr/bin/form_generator.pl


%changelog
* Sun Jun 19 2016 pterjan <pterjan> 0.290.0-7.mga6
+ Revision: 1028226
- Rebuild for perl 5.22.2

* Sat Jan 30 2016 cjw <cjw> 0.290.0-6.mga6
+ Revision: 929052
- exclude requires from HTML/FormHandler/Generator/DBIC.pm because the auto requires script processes the template it contains

* Thu Jan 28 2016 umeabot <umeabot> 0.290.0-5.mga6
+ Revision: 928486
- Mageia 6 Mass Rebuild
- Rebuild to potentially add missing dependencies
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Fri Aug 15 2014 sander85 <sander85> 0.290.0-1.mga5
+ Revision: 662622
- update to 0.29

* Mon Oct 21 2013 umeabot <umeabot> 0.280.0-2.mga4
+ Revision: 537509
- Mageia 4 Mass Rebuild

* Thu Sep 26 2013 sander85 <sander85> 0.280.0-1.mga4
+ Revision: 487158
- update to 0.28

* Mon Jul 22 2013 sander85 <sander85> 0.260.0-1.mga4
+ Revision: 457125
- update to 0.26

* Mon Jun 10 2013 jquelin <jquelin> 0.240.0-1.mga4
+ Revision: 441608
- update to 0.24

* Sun Jan 13 2013 umeabot <umeabot> 0.230.0-2.mga3
+ Revision: 368011
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Oct 17 2012 jquelin <jquelin> 0.230.0-1.mga3
+ Revision: 307572
- update to 0.23

* Fri Jul 06 2012 jquelin <jquelin> 0.210.0-1.mga3
+ Revision: 268434
- update to 0.21

* Fri Oct 14 2011 jquelin <jquelin> 0.160.0-1.mga2
+ Revision: 154781
- update to 0.16

* Fri Jun 17 2011 jquelin <jquelin> 0.150.0-1.mga2
+ Revision: 109151
- update to 0.15

* Wed Jan 26 2011 jquelin <jquelin> 0.140.0-2.mga1
+ Revision: 40694
- mageia rebuild
- imported package perl-HTML-FormHandler-Model-DBIC


* Sat Dec 25 2010 Shlomi Fish <shlomif@mandriva.org> 0.140.0-2mdv2011.0
+ Revision: 624896
- Add SQL::Abstract as a dependency
- Upgraded to 0.14 and fixed the build system.
- import perl-HTML-FormHandler-Model-DBIC

